View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001015Ecere SDKidepublic2013-10-01 16:462014-02-03 23:33
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeveritytweakReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.09 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0001015: Line number margins doesn't adapt to font size
DescriptionAs summarized.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001122)
redj (administrator)
2013-10-06 19:17

look at this as well
code editor -> line numbers in the margin -> open file with 100 000 lines+ -> see bug in line numbers at line 100 000 displayed as 0
goes from 99999 to 0, followed by 1, 2, 3, 4, and so on...
(0001124)
redj (administrator)
2013-10-06 21:42
edited on: 2013-10-09 06:54

Fixed by:
https://github.com/ecere/ecere-sdk/commit/3be45311928ed2314a6770e5406e43ab481798a9 [^]

(0001141)
jerome (administrator)
2013-10-27 19:22
edited on: 2013-12-01 20:50

- Turning off line numbers in Global Settings leaves huge margin, Line numbers shrinking doesn't shrink margin
- Let's keep a minimum of 4 digits margin to avoid the shrinking/enlarging when adding a normal number of lines
- New / Saving to .ec file

(0001153)
redj (administrator)
2014-01-21 19:19

fixed by https://github.com/redj/ecere-sdk/commit/fe9bd2f7ef823c3db3ac9f7526703a6dfad2ad76 [^]

- Issue History
Date Modified Username Field Change
2013-10-01 16:46 jerome New Issue
2013-10-06 19:16 redj Status new => assigned
2013-10-06 19:16 redj Assigned To => redj
2013-10-06 19:17 redj Note Added: 0001122
2013-10-06 19:23 jerome Priority urgent => immediate
2013-10-06 19:23 jerome Target Version 0.44.11 Tablet Edition/Docs => 0.44.10 64
2013-10-06 21:42 redj Status assigned => resolved
2013-10-06 21:42 redj Fixed in Version => 0.44.10 64
2013-10-06 21:42 redj Resolution open => fixed
2013-10-06 21:42 redj Note Added: 0001124
2013-10-09 06:54 jerome Note Edited: 0001124
2013-10-09 07:00 jerome Status resolved => closed
2013-10-27 19:22 jerome Note Added: 0001141
2013-10-27 19:22 jerome Status closed => assigned
2013-12-01 20:50 jerome Note Edited: 0001141
2014-01-21 19:19 redj Status assigned => resolved
2014-01-21 19:19 redj Note Added: 0001153
2014-02-03 23:33 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker